gnutls_certificate_get_x509_cas(3)

NAME
gnutls_certificate_get_x509_cas - Used to export all the CAs from a gnutls_certificate_credentials_t structure

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_certificate_get_x509_cas(gnutls_certificate_credentials_t sc, gnutls_x509_crt_t ** x509_ca_list, unsigned int* ncas);

ARGUMENTS

gnutls_certificate_credentials_t sc
    is an gnutls_certificate_credentials_t structure.

gnutls_x509_crt_t ** x509_ca_list
    will point to the CA list. Should be treated as constant

unsigned int* ncas
    the number of CAs

DESCRIPTION
This function will export all the CAs associated with the given credentials.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.